<?php
include 'config.php'; // Conexiunea la baza de date

// Obține toate ofertele din baza de date
$sql = "SELECT o.id_oferta, o.nume_client, o.numar_telefon, o.email, o.obiectiv, o.data_oferta, o.numar_unic, o.variabile_intrare, d.detalii_lucrare
        FROM oferta o
        LEFT JOIN detalii_lucrare d ON o.id_oferta = d.id_oferta";

$result = $conn->query($sql);

// Verifică dacă există rezultate
if ($result->num_rows > 0) {
    echo "<h2>Oferte Salvate</h2>";
    echo "<table border='1'>
            <tr>
                <th>ID Ofertă</th>
                <th>Nume Client</th>
                <th>Număr Telefon</th>
                <th>Email</th>
                <th>Obiectiv</th>
                <th>Data Ofertă</th>
                <th>Număr Unic</th>
                <th>Variabile Intrare Ofertă (JSON)</th>
                <th>Variabile Intrare Ofertă (Decodificat)</th>
                <th>Detalii Lucrare (JSON)</th>
                <th>Detalii Lucrare (Decodificat)</th>
            </tr>";

    // Afișează fiecare ofertă
    while ($row = $result->fetch_assoc()) {
        $detalii_lucrare = json_decode($row['detalii_lucrare'], true); // Decodifică JSON-ul detaliilor lucrării
        $variabile_intrare = json_decode($row['variabile_intrare'], true); // Decodifică JSON-ul variabilelor suplimentare

        echo "<tr>";
        echo "<td>" . $row['id_oferta'] . "</td>";
        echo "<td>" . $row['nume_client'] . "</td>";
        echo "<td>" . $row['numar_telefon'] . "</td>";
        echo "<td>" . $row['email'] . "</td>";
        echo "<td>" . $row['obiectiv'] . "</td>";
        echo "<td>" . $row['data_oferta'] . "</td>";
        echo "<td>" . $row['numar_unic'] . "</td>";

        // Afișează JSON-ul brut pentru variabile_intrare
        echo "<td>" . $row['variabile_intrare'] . "</td>";

        // Afișează variabilele suplimentare decodificate (frumos formatat)
        echo "<td><pre>" . print_r($variabile_intrare, true) . "</pre></td>";

        // Afișează JSON-ul brut pentru detalii lucrare
        echo "<td>" . $row['detalii_lucrare'] . "</td>";

        // Afișează detaliile lucrării decodificate (frumos formatat)
        echo "<td><pre>" . print_r($detalii_lucrare, true) . "</pre></td>";

        echo "</tr>";
    }

    echo "</table>";
} else {
    echo "Nu există oferte salvate în baza de date.";
}

$conn->close();
?>
