<?php
include 'config1.php';

header('Content-Type: application/json');

$data = json_decode(file_get_contents('php://input'), true);

// Verificăm dacă avem datele necesare pentru a salva devizul
if (isset($data['nume']) && isset($data['numar_unic']) && isset($data['data'])) {
    // Setăm valorile implicite la 0 pentru totaluri dacă lipsesc
    $total_materiale = isset($data['total_materiale']) ? $data['total_materiale'] : 0;
    $total_accesorii = isset($data['total_accesorii']) ? $data['total_accesorii'] : 0;
    $total_transport = isset($data['total_transport']) ? $data['total_transport'] : 0;
    $total_manopera = isset($data['total_manopera']) ? $data['total_manopera'] : 0;
    $total_general = isset($data['total_general']) ? $data['total_general'] : 0;

    // Inserăm datele în tabelul devize
    $stmt = $conn->prepare("INSERT INTO devize (nume_client, telefon_client, email_client, obiectiv, distanta, numar_unic, data, total_materiale, total_accesorii, total_transport, total_manopera, total_general) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)");
    $stmt->bind_param("ssssssdddddd", $data['nume'], $data['telefon'], $data['email'], $data['obiectiv'], $data['distanta'], $data['numar_unic'], $data['data'], $total_materiale, $total_accesorii, $total_transport, $total_manopera, $total_general);
    
    if ($stmt->execute()) {
        $deviz_id = $stmt->insert_id;

        // Salvăm materialele asociate devizului dacă există
        if (!empty($data['tip_lucrare'])) {
            $stmt_material = $conn->prepare("INSERT INTO materiale (deviz_id, tip_lucrare, material_termoizolant, membrana, banda_etansare, petece, accesorii, suprafata, grosime, densitate, dimensiune_membrana, cantitate, pret_unitar, total_fara_tva, total_cu_tva) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)");
            
            for ($i = 0; $i < count($data['tip_lucrare']); $i++) {
                $tip_lucrare = $data['tip_lucrare'][$i];
                $material_termoizolant = $data['material_termoizolant'][$i] ?? null;
                $membrana = $data['membrana'][$i] ?? null;
                $banda_etansare = $data['banda_etansare'][$i] ?? null;
                $petece = $data['petece'][$i] ?? null;
                $accesorii = $data['accesorii'][$i] ?? null;
                $suprafata = $data['suprafata'][$i] ?? 0;
                $grosime = $data['grosime'][$i] ?? 0;
                $densitate = $data['densitate'][$i] ?? 0;
                $dimensiune_membrana = $data['dimensiune_membrana'][$i] ?? 0;
                $cantitate = $data['cantitate'][$i] ?? 0;
                $pret_unitar = $data['pret_unitar'][$i] ?? 0;
                $total_fara_tva = $data['total_fara_tva'][$i] ?? 0;
                $total_cu_tva = $data['total_cu_tva'][$i] ?? 0;

                $stmt_material->bind_param("issssssddddddd", $deviz_id, $tip_lucrare, $material_termoizolant, $membrana, $banda_etansare, $petece, $accesorii, $suprafata, $grosime, $densitate, $dimensiune_membrana, $cantitate, $pret_unitar, $total_fara_tva, $total_cu_tva);
                $stmt_material->execute();
            }
            $stmt_material->close();
        }

        // Răspunsul pentru succesul operației
        echo json_encode(['success' => true, 'message' => 'Devizul a fost salvat cu succes.']);
    } else {
        echo json_encode(['success' => false, 'error' => 'Eroare la salvarea devizului.']);
    }
    $stmt->close();
} else {
    echo json_encode(['success' => false, 'error' => 'Date incomplete.']);
}
$conn->close();
?>
