<?php
// Verificăm dacă formularul a fost trimis
if ($_SERVER["REQUEST_METHOD"] == "POST") {

    // Inițializăm un array pentru a stoca datele din formular
    $formData = [];

    // Parcurgem toate câmpurile din formular și le stocăm în array
    foreach ($_POST as $key => $value) {
        // Dacă este un array (de ex., pentru câmpurile multiple), îl transformăm în string
        if (is_array($value)) {
            $value = implode(", ", $value); 
        }
        $formData[$key] = htmlspecialchars($value); // Escapăm caracterele HTML pentru securitate
    }

    // Începem să generăm HTML-ul pentru afișarea datelor
    echo "<!DOCTYPE html>";
    echo "<html>";
    echo "<head>";
    echo "<title>Datele din Formular</title>";
    echo "<style>";
    // Adaugă aici stiluri CSS dacă dorești să personalizezi aspectul
    echo "</style>";
    echo "</head>";
    echo "<body>";
    echo "<h2>Datele introduse în formular:</h2>";

    // Creăm un tabel HTML pentru a afișa datele
    echo "<table>";
    echo "<thead><tr><th>Câmp</th><th>Valoare</th></tr></thead>";
    echo "<tbody>";
    foreach ($formData as $key => $value) {
        echo "<tr><td>$key</td><td>$value</td></tr>";
    }
    echo "</tbody>";
    echo "</table>";

    echo "</body>";
    echo "</html>";
}
?>
