<?php
header('Content-Type: text/html; charset=utf-8');

include 'config.php';


// Obține tipurile de lucrări din baza de date
$work_types = [];
if ($result = $conn->query("SELECT id, name, fiber_density, flock_density, wood_density FROM work_types")) {
    while ($row = $result->fetch_assoc()) {
        $work_types[] = $row;
    }
    $result->free();
}

// Obține materialele din baza de date pentru fiecare categorie
function getMaterialsByCategory($conn, $category_id) {
    $materials = [];
    if ($result = $conn->query("SELECT id, name, dimensiune, pret_unitar_iesire FROM materials WHERE category_id = $category_id")) {
        while ($row = $result->fetch_assoc()) {
            $materials[] = $row;
        }
        $result->free();
    }
    return $materials;
}

$materials_termoizolant = getMaterialsByCategory($conn, 1);
$membrane = getMaterialsByCategory($conn, 2);
$banda_etansare = getMaterialsByCategory($conn, 3);
$petece = getMaterialsByCategory($conn, 4);
$accesorii = getMaterialsByCategory($conn, 23);

// Obține regulile din baza de date
$rules = [];
if ($result = $conn->query("SELECT denumire, regula FROM rules")) {
    while ($row = $result->fetch_assoc()) {
        $rules[$row['denumire']] = $row['regula'];
    }
    $result->free();
}

// alex 11111111

// Date default care apar cand generam oferta noua
$date_oferta = [
    'id_oferta' => '',
    'nume_client' => '',
    'numar_telefon' => '',
    'email' => '',
    'obiectiv' => '',
    'data_oferta' => date('d.m.Y'),
    'numar_unic' => '',
    'distanta' => '',
    'variabile_intrare' => null,
    'detalii_lucrare' => []
];

$id_oferta = null;
if (isset($_GET['id_oferta']) && is_numeric($_GET['id_oferta'])){
	$id_oferta = $_GET['id_oferta'];
	
    
    $q = prepared_query("SELECT * FROM `oferta` WHERE id_oferta = ?", [$id_oferta]);
    array_shift($q);

    if (!isset($q[0]['id_oferta'])){
        echo '<h1>404 - Oferta nu exista in sistem</h1>';
        http_response_code(404);
        exit();
    }
    $date_oferta = $q[0];
    $date_oferta['data_oferta'] = date('d.m.Y', strtotime($date_oferta['data_oferta']));
    $date_oferta['variabile_intrare'] = json_decode($date_oferta['variabile_intrare'], true);

    if (isset($_GET['load_page_using_offer_data'])){

        $q = prepared_query("
            SELECT detalii_lucrare, work_types, materials_termoizolant, banda_etansare, petece, accesorii, rules
            FROM `detalii_lucrare` 
            WHERE id_oferta = ?", [$id_oferta]);
        array_shift($q);

        if (isset($q[0])){

            $date_oferta['detalii_lucrare'] = json_decode($q[0]['detalii_lucrare']);
            if (!isset($date_oferta['detalii_lucrare'])){
                $date_oferta['detalii_lucrare']= [];
            }

            foreach ($q[0] as $col_name => $col_value){
                // test if JSON is OK
                $aux = isset($col_value) ? json_decode($col_value, true) : null;

                // dynamically create variables using $col_name as input = $aux (associative array) as value
                // this piece of code overwrites code from lines 28.... with new values from database
                if (isset($aux)){
                    $$col_name = $aux;
                }
            }
        }
    }
}



// Generare JSON pentru utilizare în JavaScript
$workTypesJson = json_encode($work_types);
$materialsTermoizolantJson = json_encode($materials_termoizolant);
$membraneJson = json_encode($membrane);
$bandaEtansareJson = json_encode($banda_etansare);
$peteceJson = json_encode($petece);
$accesoriiJson = json_encode($accesorii);
$rulesJson = json_encode($rules);

// Creare array pentru categoriile de materiale
$categories = [
    1 => 'Material termoizolant',
    2 => 'Membrana',
    3 => 'Banda etansare',
    4 => 'Petece',
    23 => 'Accesorii'
];
$categoriesJson = json_encode($categories);


// Debugging pentru reguli
echo '<script>console.log("Rules JSON: '.addslashes($rulesJson).'");</script>';
?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<title><?php 
    // alex 11111111
    echo isset($id_oferta) 
            ? "Editare oferta {$id_oferta} - {$date_oferta['nume_client']}" 
            : 'Adaugare lucrare'
            ?></title>

<link rel="stylesheet" type="text/css" href="css/general_interfata.css">

<script>

const date_oferta = <?php echo json_encode($date_oferta); ?>;
const workTypes = <?php echo $workTypesJson; ?>;
const materialsTermoizolant = <?php echo $materialsTermoizolantJson; ?>;
const membrane = <?php echo $membraneJson; ?>;
const bandaEtansare = <?php echo $bandaEtansareJson; ?>;
const petece = <?php echo $peteceJson; ?>;
const accesorii = <?php echo $accesoriiJson; ?>;
const rules = <?php echo $rulesJson; ?>;
const categories = <?php echo $categoriesJson; ?>;


// alex 11111111
document.addEventListener("DOMContentLoaded", (event) => {
    if (date_oferta['variabile_intrare']){
        for (const field_to_search in date_oferta['variabile_intrare']){
            const value_to_set = date_oferta['variabile_intrare'][field_to_search];
            const input = document.querySelector(`input[name="${field_to_search}"]`);
            if (input){
                // get input type
                if (input.getAttribute('type') === 'radio' && value_to_set){
                    document.querySelector(`input[name="${field_to_search}"][value="${value_to_set}"]`).checked = true;
                } else {
                    input.value = value_to_set;
                }
            } else{
                console.error(`1. input[name="${field_to_search}"] was not found!!!`);
            }
        }
    }

    // reset table data
    const target_table = document.querySelector('#work-form table tbody')
    target_table.innerHTML = '';

    const tbl_rows_to_set = date_oferta['detalii_lucrare'].length;
    if (tbl_rows_to_set){
        for (let i = 0; i<tbl_rows_to_set; i++){
            addRow();
        }

        for (let i = 0; i<tbl_rows_to_set; i++){
            const table_row = target_table.querySelector(':scope tr:nth-child('+(i+1)+')');
            const row_data = date_oferta['detalii_lucrare'][i];
            console.log(row_data);
            for (const field_to_search in row_data){
                let value_to_set = row_data[field_to_search];

                // test for numeric, and convert to numeric (quick fix for NUMBER input type)
                if (value_to_set == value_to_set*1){
                    value_to_set = value_to_set*1;
                }

                const input = table_row.querySelector(`input[name="${field_to_search}[]"],select[name="${field_to_search}[]"]`);
                if (input){
                    if (input.nodeName === 'INPUT'){
                        input.value = value_to_set;
                    } else {
                        // Select
                        if (value_to_set){
                            input.value = value_to_set;
                        }
                    }
                }else{
                    console.error(`2. input[name="${field_to_search}[]"],select[name="${field_to_search}[]"] was not found!!!`);
                }
            }
        }

        calculateMaterial();
    }
});

function toFixedNoZeros(value, decimals) {
    if (typeof value === 'number') {
        // Dacă valoarea este numerică, aplicăm rotunjirea
        if (value % 1 === 0) return value.toFixed(0); // Fără zecimale pentru numere întregi
        return parseFloat(value.toFixed(decimals)).toString(); // Cu zecimale pentru numere zecimale
    }

    // Dacă value nu este un număr, îl tratăm ca pe un șir
    const matches = value.match(/([\d.]+)(\s*[a-zA-Z]*)/);
    if (matches) {
        const numericValue = parseFloat(matches[1]); // Extrage partea numerică
        const unit = matches[2].trim(); // Extrage unitatea (dacă există)

        // Rotunjim doar partea numerică
        let roundedValue = numericValue.toFixed(decimals);
        if (parseFloat(roundedValue) % 1 === 0) {
            roundedValue = parseFloat(roundedValue).toFixed(0);
        }

        // Returnăm valoarea rotunjită împreună cu unitatea
        return `${roundedValue}${unit ? ' ' + unit : ''}`;
    }

    // Returnează valoarea originală dacă nu este numerica
    return value;
}

// Functie pentru a ascunde/afisa dropdown-urile si campurile in functie de tipul de lucrare selectat
function updateDropdownVisibility() {
    const rows = document.querySelectorAll('#work-form tbody tr');
    rows.forEach(row => {
        const tipLucrareSelect = row.querySelector('select[name="tip_lucrare[]"]');
        tipLucrareSelect.addEventListener('change', () => updateRowVisibility(row));
        updateRowVisibility(row); // Initializează vizibilitatea pentru fiecare rând
    });
}

// Functie care actualizează vizibilitatea câmpurilor într-un rând specific
function updateRowVisibility(row) {
    const tipLucrareSelect = row.querySelector('select[name="tip_lucrare[]"]');
    const tipLucrare = tipLucrareSelect.options[tipLucrareSelect.selectedIndex].text;

    const bandaEtansareField = row.querySelector('select[name="banda_etansare[]"]');
    const accesoriuField = row.querySelector('select[name="accesorii[]"]');
    const materialTermoizolantField = row.querySelector('select[name="material_termoizolant[]"]');
    const membranaField = row.querySelector('select[name="membrana[]"]');
    const petecField = row.querySelector('select[name="petece[]"]');
    const grosimeField = row.querySelector('input[name="grosime[]"]');
    const densitateField = row.querySelector('input[name="densitate[]"]');
    const dimensiuneMembranaField = row.querySelector('input[name="dimensiune_membrana[]"]');

    if (tipLucrare === 'Etansare fundatie') {
        bandaEtansareField.style.display = 'inline-block';
        accesoriuField.style.display = 'inline-block';
        materialTermoizolantField.style.display = 'none';
        membranaField.style.display = 'none';
        petecField.style.display = 'none';
        grosimeField.style.display = 'none';
        densitateField.style.display = 'none';
        dimensiuneMembranaField.style.display = 'none';
    } else {
        bandaEtansareField.style.display = 'inline-block';
        accesoriuField.style.display = 'inline-block';
        materialTermoizolantField.style.display = 'inline-block';
        membranaField.style.display = 'inline-block';
        petecField.style.display = 'inline-block';
        grosimeField.style.display = 'inline-block';
        densitateField.style.display = 'inline-block';
        dimensiuneMembranaField.style.display = 'inline-block';
    }
}

// Apelam functia pentru a initializa vizibilitatea dropdown-urilor si campurilor
document.addEventListener('DOMContentLoaded', updateDropdownVisibility);

function updateDensitate(element) {
    const row = element.closest('tr');
    const tipLucrare = row.querySelector('select[name="tip_lucrare[]"]');
    const materialTermoizolant = row.querySelector('select[name="material_termoizolant[]"]');
    const densitateField = row.querySelector('input[name="densitate[]"]');

    if (tipLucrare && materialTermoizolant) {
        const densitateFibre = tipLucrare.options[tipLucrare.selectedIndex].getAttribute('data-fibre');
        const densitateFlock = tipLucrare.options[tipLucrare.selectedIndex].getAttribute('data-flock');
        const densitateWood = tipLucrare.options[tipLucrare.selectedIndex].getAttribute('data-wood');

        // Verificăm dacă materialul selectat este NATURHELD
        if (materialTermoizolant.value === '60') { // Assuming '60' is the ID for NATURHELD
            densitateField.value = densitateWood;
        } else if (materialTermoizolant.value === '46') { // Assuming '46' is ISOFIBER
            densitateField.value = densitateFibre;
        } else if (materialTermoizolant.value === '49') { // Assuming '49' is ISOFLOCK
            densitateField.value = densitateFlock;
        } else {
            densitateField.value = '';
        }
    }
}

function updateDimensiune(element) {
    const row = element.closest('tr');
    const dimensiuneField = row.querySelector('input[name="dimensiune_membrana[]"]');
    const dimensiune = element.options[element.selectedIndex].getAttribute('data-dimensiune');
    dimensiuneField.value = dimensiune ? dimensiune : '';
}

function calculateMaterial() {
    const isIsogreen = document.querySelector('input[name="tip_isogreen"][value="Isogreen"]').checked;

 const etansareNzeb = document.querySelector('input[name="tip_etansare"][value="Etanșare nZeb"]').checked;
    const etansareCasaPasiva = document.querySelector('input[name="tip_etansare"][value="Etanșare Casa Pasivă"]').checked;
    
    
    const rows = document.querySelectorAll('#work-form tbody tr');
    let resultText = '';
    const materialData = {};
    const accesoriiData = [];
    let includeCapsa = false;
    let totalMaterialCantitate = 0;

    rows.forEach(row => {
        const suprafata = parseFloat(row.querySelector('input[name="suprafata[]"]').value);
        const grosime = parseFloat(row.querySelector('input[name="grosime[]"]').value);
        const densitate = parseFloat(row.querySelector('input[name="densitate[]"]').value);
        const dimensiuneMembrana = parseFloat(row.querySelector('input[name="dimensiune_membrana[]"]').value);

        const membranaSelect = row.querySelector('select[name="membrana[]"]');
        const bandaSelect = row.querySelector('select[name="banda_etansare[]"]');
        const petecSelect = row.querySelector('select[name="petece[]"]');
        const materialTermoizolant = row.querySelector('select[name="material_termoizolant[]"]');
        const accesoriuSelect = row.querySelector('select[name="accesorii[]"]');
        const tipLucrareSelect = row.querySelector('select[name="tip_lucrare[]"]');

        const tipLucrareName = tipLucrareSelect ? tipLucrareSelect.options[tipLucrareSelect.selectedIndex].text : '';

        // Verificăm dacă este "Etanșare fundație"
        if (tipLucrareName === 'Etansare fundatie') {
         
            // Calcul bazat doar pe suprafață pentru etanșare fundație
            if (!isNaN(suprafata)) {
                totalMaterialCantitate += suprafata;

if (bandaSelect && bandaSelect.value) {
    const selectedOption = bandaSelect.options[bandaSelect.selectedIndex];
    const dimensiuneBanda = parseFloat(selectedOption.getAttribute('data-dimensiune'));

    // Verifică dacă dimensiunea benzii este validă
    if (!isNaN(dimensiuneBanda) && dimensiuneBanda > 0) {
        // Obține numele și prețul benzii
        const bandaName = bandaSelect.options[bandaSelect.selectedIndex].text;
        const bandaPret = parseFloat(selectedOption.getAttribute('data-pret'));

        // Calculează cantitatea de bandă etanșare pentru etansare fundatie
        const cantitateBandaEtansare = suprafata / dimensiuneBanda;
        
        // Adaugă datele în accesoriiData
        accesoriiData.push({
            name: bandaName,
            cantitate: cantitateBandaEtansare,
            pretUnitar: bandaPret
        });
    } else {
        console.error("Dimensiunea benzii nu este validă sau lipsă.");
    }
}

                // Calculul cantității pentru accesorii
                if (accesoriuSelect && accesoriuSelect.value) {
                    const regulaAccesoriu = parseFloat(rules[accesoriuSelect.options[accesoriuSelect.selectedIndex].text]) || 1; // Regula pentru accesorii
                    accesoriiData.push({
                        name: accesoriuSelect.options[accesoriuSelect.selectedIndex].text,
                        cantitate: suprafata * regulaAccesoriu,
                        pretUnitar: parseFloat(accesoriuSelect.options[accesoriuSelect.selectedIndex].getAttribute('data-pret'))
                    });
                }
            }
        } else {
            // Calculul obișnuit folosind grosimea și densitatea pentru alte lucrări
            if (!isNaN(suprafata) && !isNaN(grosime) && !isNaN(densitate)) {
                const cantitate = (suprafata * grosime * densitate) / 100;
                totalMaterialCantitate += cantitate;

                if (materialTermoizolant && materialTermoizolant.value) {
                    const materialName = materialTermoizolant.options[materialTermoizolant.selectedIndex].text;
                    const materialPretUnitar = parseFloat(materialTermoizolant.options[materialTermoizolant.selectedIndex].getAttribute('data-pret'));

                    if (!materialData[materialName]) {
                        materialData[materialName] = {
                            suprafataTotala: 0,
                            grosimi: new Set(),
                            densitati: new Set(),
                            cantitateTotala: 0,
                            pretUnitar: materialPretUnitar,
                            totalFaraTVA: 0,
                            totalCuTVA: 0,
                            rows: []
                        };
                    }

                    materialData[materialName].suprafataTotala += suprafata;
                    materialData[materialName].grosimi.add(grosime);
                    materialData[materialName].densitati.add(densitate);
                    materialData[materialName].cantitateTotala += cantitate;
                    materialData[materialName].totalFaraTVA += cantitate * materialPretUnitar;
                    materialData[materialName].totalCuTVA += cantitate * materialPretUnitar * 1.19; // TVA 19%

                    materialData[materialName].rows.push({
                        tipLucrareName,
                        suprafata,
                        grosime,
                        densitate,
                        cantitate,
                        membranaName: membranaSelect ? membranaSelect.options[membranaSelect.selectedIndex].text : '',
                        dimensiuneMembrana,
                        bandaName: bandaSelect ? bandaSelect.options[bandaSelect.selectedIndex].text : '',
                        dimensiuneBanda: bandaSelect ? parseFloat(bandaSelect.options[bandaSelect.selectedIndex].getAttribute('data-dimensiune')) : '',
                        petecName: petecSelect ? petecSelect.options[petecSelect.selectedIndex].text : '',
                        dimensiunePetec: petecSelect ? parseFloat(petecSelect.options[petecSelect.selectedIndex].getAttribute('data-dimensiune')) : '',
                        accesoriuName: accesoriuSelect && accesoriuSelect.selectedIndex > -1 ? accesoriuSelect.options[accesoriuSelect.selectedIndex].text : '',
                        regulaAccesoriu: accesoriuSelect.selectedIndex> -1 ? parseFloat(rules[accesoriuSelect ? accesoriuSelect.options[accesoriuSelect.selectedIndex].text : '']) : 0 || 0
                    });
                }

                // Calculul cantității pentru membrană
                if (membranaSelect && membranaSelect.value && !isNaN(dimensiuneMembrana)) {
                    const regulaMembrana = parseFloat(rules['Membrana']) || 0.1;
                    const cantitateMembrana = suprafata / (dimensiuneMembrana - dimensiuneMembrana * regulaMembrana);
                    accesoriiData.push({
                        name: membranaSelect.options[membranaSelect.selectedIndex].text,
                        cantitate: cantitateMembrana,
                        pretUnitar: parseFloat(membranaSelect.options[membranaSelect.selectedIndex].getAttribute('data-pret'))
                    });
                    includeCapsa = true;
                }

                 // Calculul cantității pentru bandă etanșare pentru alte lucrări (nu fundație)
                if (bandaSelect && bandaSelect.value) {
                    let regulaBandaEtansare = parseFloat(rules['Banda etansare']) || 1; // Regula implicită
                    if (etansareNzeb) {
                        regulaBandaEtansare = parseFloat(rules['Banda etansare*']) || 1;
                    }

                    const cantitateBandaEtansare = (suprafata * regulaBandaEtansare) / parseFloat(bandaSelect.options[bandaSelect.selectedIndex].getAttribute('data-dimensiune'));
                    accesoriiData.push({
                        name: bandaSelect.options[bandaSelect.selectedIndex].text,
                        cantitate: cantitateBandaEtansare,
                        pretUnitar: parseFloat(bandaSelect.options[bandaSelect.selectedIndex].getAttribute('data-pret'))
                    });
                }


                // Calculul cantității pentru petece
                if (petecSelect && petecSelect.value) {
                    const regulaPetece = parseFloat(rules['Petece']) || 0.1;
                    const cantitatePetece = (suprafata * regulaPetece) / parseFloat(petecSelect.options[petecSelect.selectedIndex].getAttribute('data-dimensiune'));
                    accesoriiData.push({
                        name: petecSelect.options[petecSelect.selectedIndex].text,
                        cantitate: cantitatePetece,
                        pretUnitar: parseFloat(petecSelect.options[petecSelect.selectedIndex].getAttribute('data-pret'))
                    });
                }

                // Calculul cantității pentru accesorii
                if (accesoriuSelect && accesoriuSelect.value) {
                    accesoriiData.push({
                        name: accesoriuSelect.options[accesoriuSelect.selectedIndex].text,
                        cantitate: suprafata * (parseFloat(rules[accesoriuSelect.options[accesoriuSelect.selectedIndex].text]) || 1),
                        pretUnitar: parseFloat(accesoriuSelect.options[accesoriuSelect.selectedIndex].getAttribute('data-pret'))
                    });
                }
            }
        }
    });

    // Adăugare CAPSE dacă este necesar
    if (includeCapsa) {
        const capsePret = accesorii.find(material => material.name === 'CAPSE 80/10').pret_unitar_iesire;
        accesoriiData.push({
            name: 'CAPSE 80/10',
            cantitate: 1,
            pretUnitar: parseFloat(capsePret)
        });
    }
    

    const htmlContent = generateHTML(materialData);
    const accesoriiContent = generateAccesoriiHTML(accesoriiData);
    const transportContent = totalMaterialCantitate > 0 ? generateTransportHTML() : '';
    const manoperaContent = totalMaterialCantitate > 0 ? generateManoperaHTML(isIsogreen) : ''; // Modificat pentru a nu afișa manopera dacă nu există cantități de material

    document.getElementById('result').innerHTML = htmlContent + accesoriiContent + transportContent + manoperaContent;
    
     // Preia valorile din câmpurile Resurse umane și Timp de execuție
    const resurseUmaneValue = document.querySelector('input[name="resurse_umane"]').value || '-';
    const timpExecutieValue = document.querySelector('input[name="timp_executie"]').value || '-';
    
     ////////////// Afișăm secțiunea suplimentară pentru Resurse umane și Timp de execuție

  const totalsContent = `
    <table id="tabel-total" class="totals-container">
        <tr class="totals-row total-header">
            <td class="totals-column total-label">
                TOTAL
            </td>
            <td class="totals-column total-value">
                fără TVA
            </td>
            <td class="totals-column total-value">
                cu TVA
            </td>
        </tr>
        <tr class="totals-row">
            <td class="totals-column total-label" id="material-accesorii-label">
                Material, Accesorii, Transport
            </td>
            <td class="totals-column total-value">
                <p id="total_material_transport_fara_tva">-</p>
            </td>
            <td class="totals-column total-value">
                <p id="total_material_transport_cu_tva">-</p>
            </td>
        </tr>
        <tr class="totals-row">
            <td class="totals-column total-label">
                Manoperă
            </td>
            <td class="totals-column total-value">
                <p id="total_manopera_fara_tva">-</p>
            </td>
            <td class="totals-column total-value">
                <p id="total_manopera_cu_tva">-</p>
            </td>
        </tr>
        <tr class="totals-row" id="empty-row" style="height: 20px;">
            <!-- Rând liber pentru spațiere -->
            <td class="totals-column total-value" colspan="3" style="font-size: 12px;">
                <!-- Aici va apărea textul -->
            </td>
        </tr>
        <tr class="totals-row total-general">
            <td class="totals-column total-label">
                TOTAL GENERAL
            </td>
            <td class="totals-column total-value" colspan="2">
                <p id="total_general_cu_tva">-</p>
            </td>
        </tr>
    </table>
`;

const combinedContent = `
    <div class="table-row">
        <div class="left-table">
            <div class="additional-info">
                <div class="column">
                    <h2>Resurse umane</h2>
                    <p id="resurse_umane">${resurseUmaneValue}</p>
                </div>
                <div class="column">
                    <h2>Timp de execuție</h2>
                    <p id="timp_executie">${timpExecutieValue}</p>
                </div>
            </div>
        </div>
        <div class="right-table">
            ${totalsContent}
        </div>
    </div>
`;

document.getElementById('result').innerHTML += combinedContent;

  // Verificăm dacă există accesorii și ajustăm textul corespunzător pentru tabelul TOTAL
    const accesoriiRows = document.querySelectorAll('#accesorii tbody tr');
    let hasAccesorii = accesoriiRows.length > 0;

    let totalLabel = document.querySelector('#material-accesorii-label');
    if (totalLabel) {
        if (hasAccesorii) {
            totalLabel.innerHTML = 'Material, Accesorii, Transport';
        } else {
            totalLabel.innerHTML = 'Material, Transport';
        }
    }

     // Acum, calculăm totalurile după ce tabelele au fost generate
   // Calculăm valorile
    let totalTermCuTVA = parseFloat(document.querySelector('#material-termoizolant tbody tr:first-child td:nth-child(8)')?.innerText || '0');
    let totalAccesCuTVA = parseFloat(document.querySelector('#accesorii tbody tr:nth-child(1) td:nth-child(5)')?.innerText || '0');
    let totalTransCuTVA = parseFloat(document.querySelector('#transport tbody tr:nth-child(2) td:nth-child(6)')?.innerText || '0');
    let totalManopCuTVA = parseFloat(document.querySelector('#manopera tbody tr:first-child td:nth-child(6)')?.innerText || '0');
    let totalManopFaraTVA = parseFloat(document.querySelector('#manopera tbody tr:first-child td:nth-child(5)')?.innerText || '0');
    
    // Factorul TVA  - calculam totalul fara tva. 
const tvaFactor = 1.19;

// Calculăm totalurile fără TVA
let totalTermFaraTVA = totalTermCuTVA / tvaFactor;
let totalAccesFaraTVA = totalAccesCuTVA / tvaFactor;
let totalTransFaraTVA = totalTransCuTVA / tvaFactor;

// Calculăm totalul general fără TVA pentru material, accesorii și transport
let totalMaterialTransportFaraTVA = totalTermFaraTVA + totalAccesFaraTVA + totalTransFaraTVA;

// Afișăm totalul în pagină (fără TVA)
document.getElementById('total_material_transport_fara_tva').innerText = totalMaterialTransportFaraTVA.toFixed(2);


    // Calculăm totalul pentru Material, Accesorii și Transport
    let totalMaterialTransportCuTVA = totalTermCuTVA + totalAccesCuTVA + totalTransCuTVA;

    // Determinăm tipul de selecție (Isogreen sau Isogreen - Ecotherm)
    let isIsogreenEcotherm = document.querySelector('input[name="tip_isogreen"]:checked')?.value === 'Isogreen - Ecotherm';

    // Calculăm totalul general cu TVA
    let totalGeneralCuTVA;
 if (isIsogreenEcotherm) {
    totalGeneralCuTVA = totalMaterialTransportCuTVA + totalManopFaraTVA;
    // Setăm "*fără TVA*" pentru manopera cu TVA cu stil italic
    document.getElementById('total_manopera_cu_tva').innerHTML = '<em>*fără TVA</em>';
    // Setăm "*firma neplatitoare de TVA*" în rândul gol de sub manoperă
    document.querySelector('#empty-row .totals-column').innerText = '*firma neplatitoare de TVA';
} else {
    totalGeneralCuTVA = totalMaterialTransportCuTVA + totalManopCuTVA;
    // Setăm valoarea calculată pentru manopera cu TVA și eliminăm stilul italic
    const manoperaCuTVAElement = document.getElementById('total_manopera_cu_tva');
    manoperaCuTVAElement.innerText = totalManopCuTVA.toFixed(2);
    manoperaCuTVAElement.style.fontStyle = 'normal';  // Eliminăm stilul italic
    // Eliminăm textul din rândul gol de sub manoperă
    document.querySelector('#empty-row .totals-column').innerText = '';
}


    // De asemenea, afișăm totalurile pentru Material, Accesorii, Transport și Manoperă
    document.getElementById('total_material_transport_fara_tva').innerText = totalMaterialTransportFaraTVA.toFixed(2);
    document.getElementById('total_material_transport_cu_tva').innerText = totalMaterialTransportCuTVA.toFixed(2);
    document.getElementById('total_manopera_fara_tva').innerText = totalManopFaraTVA.toFixed(2);

 // Funcția pentru a formata zecimalele

function applyIntegerFormatting() {
    const tableIds = ['#material-termoizolant', '#accesorii', '#transport', '#manopera', '#tabel-total'];

    tableIds.forEach(tableId => {
        const rows = document.querySelectorAll(`${tableId} tr`);

        rows.forEach(row => {
            const cells = row.querySelectorAll('td, th');
            cells.forEach(cell => {
                let value = cell.innerText.trim();
                
                // Verificăm dacă celula conține mai multe valori separate prin ";"
                if (value.includes(';')) {
                    let values = value.split(';').map(v => v.trim());  // Spargem valorile și eliminăm spațiile suplimentare
                    let formattedValues = values.map(v => {
                        let numericValue = parseFloat(v);
                        if (!isNaN(numericValue)) {
                            if (v.includes('mp') || v.includes('ml')) {
                                return v;  // Returnăm valoarea originală pentru "mp" și "ml"
                            } else if (numericValue % 1 === 0) {
                                return numericValue.toFixed(0);  // Fără zecimale pentru numere întregi
                            } else {
                                return numericValue.toFixed(2);  // Cu două zecimale pentru numere zecimale
                            }
                        }
                        return v;  // Dacă nu e un număr, returnăm valoarea originală
                    });
                    cell.innerText = formattedValues.join('; ');  // Reunim valorile formate într-un singur șir
                } else {
                    // Gestionăm cazul unei singure valori, nu separată de ";"
                    let numericValue = parseFloat(value);
                    if (!isNaN(numericValue)) {
                        if (value.includes('mp') || value.includes('ml')) {
                            // Nu facem nimic, lăsăm textul așa cum este pentru "mp" și "ml"
                        } else if (numericValue % 1 === 0) {
                            cell.innerText = numericValue.toFixed(0);  // Afișează fără zecimale dacă este număr întreg
                        } else {
                            cell.innerText = numericValue.toFixed(2);  // Afișează cu două zecimale dacă este fracționar
                        }
                    }
                }
            });
        });
    });
}

 // Apelează funcția pentru a formata zecimalele
    applyIntegerFormatting();
    generateTotalsTableHTML();
    
     // Afișăm totalul general cu TVA în tabel
    document.getElementById('total_general_cu_tva').innerText = totalGeneralCuTVA.toFixed(2) + ' RON';
     
const totalsTable = document.getElementById('tabel-total');
if (totalsTable) {
    const totalsTableRows = totalsTable.querySelectorAll('tr');
    
    // Eliminăm rândurile goale
    totalsTableRows.forEach(row => {
        const isEmpty = [...row.cells].every(cell => !cell.textContent.trim());
        if (isEmpty) {
            row.remove();
        }
    });
} else {
    console.warn('Tabelul de totaluri nu a fost găsit.');
}
}

function generateHTML(materialData) {
    if (Object.keys(materialData).length === 0) return '';

    let htmlContent = '';
    for (let materialName in materialData) {
        let material = materialData[materialName];
        let grosimi = Array.from(material.grosimi).join('; ');
        let densitati = Array.from(material.densitati).join('; ');

        let tableContent = '<h2>Material Termoizolant</h2>';
        tableContent += '<table id="material-termoizolant">';  // Adăugat ID-ul tabelului
        tableContent += '<thead><tr><th>Denumire</th><th>Suprafața / mp</th><th>Grosime / cm</th><th>Densitate / kg/mc</th><th>Cantitate / kg</th><th>Preț Unitar / kg</th><th>Total Fără TVA</th><th>Total cu TVA</th></tr></thead>';
        tableContent += '<tbody>';
        tableContent += `<tr><td>${
    (materialName === 'ISOFULG' || materialName === 'ISOFIBER +') ? 'ISOGREEN ' + materialName : materialName
}</td><td>${toFixedNoZeros(material.suprafataTotala, 2)}</td><td>${grosimi}</td><td>${densitati}</td><td>${toFixedNoZeros(material.cantitateTotala, 2)}</td><td>${material.pretUnitar.toFixed(2)}</td><td>${material.totalFaraTVA.toFixed(2)}</td><td>${material.totalCuTVA.toFixed(2)}</td></tr>`;

        let aggregatedRows = {};
        material.rows.forEach(row => {
            let key = `${row.tipLucrareName}-${row.grosime}`;
            if (!aggregatedRows[key]) {
                aggregatedRows[key] = { ...row, suprafata: 0, cantitate: 0 };
            }
            aggregatedRows[key].suprafata += row.suprafata;
            aggregatedRows[key].cantitate += row.cantitate;
        });

        for (let key in aggregatedRows) {
            let row = aggregatedRows[key];
            let pretUnitar = material.pretUnitar;
            let totalFaraTVA = row.cantitate * pretUnitar;
            let totalCuTVA = totalFaraTVA * 1.19; // TVA 19%

            tableContent += `<tr><td>${row.tipLucrareName}</td><td>${toFixedNoZeros(row.suprafata, 2)}</td><td>${toFixedNoZeros(row.grosime, 2)}</td><td>${toFixedNoZeros(row.densitate, 2)}</td><td>${toFixedNoZeros(row.cantitate, 2)}</td><td>${pretUnitar.toFixed(2)}</td><td>${totalFaraTVA.toFixed(2)}</td><td>${totalCuTVA.toFixed(2)}</td></tr>`;
        }

        tableContent += '</tbody></table>';
        htmlContent += tableContent;
    }

    return htmlContent;
    
}

function generateAccesoriiHTML(accesoriiData) {
    if (accesoriiData.length === 0) return '';

    let accesoriiAggregated = accesoriiData.reduce((acc, item) => {
        if (!acc[item.name]) {
            acc[item.name] = { ...item };
        } else {
            acc[item.name].cantitate += item.cantitate;
        }
        return acc;
    }, {});

    let totalFaraTVA = 0;
    let totalCuTVA = 0;

    let tableContent = '<h2>Accesorii</h2>';
    tableContent += '<table id="accesorii">';  // Adăugat ID-ul tabelului
    tableContent += '<thead><tr><th>Denumire</th><th>Necesar / buc</th><th>Preț Unitar</th><th>Total Fără TVA</th><th>Total cu TVA</th></tr></thead>';
    tableContent += '<tbody>';
    
    // Adăugare rândul cu "Membrane, benzi, capse"
    tableContent += '<tr><td>Membrane, benzi, capse</td><td></td><td></td><td></td><td></td></tr>';

    for (let name in accesoriiAggregated) {
        let accesoriu = accesoriiAggregated[name];
        accesoriu.cantitate = Math.ceil(accesoriu.cantitate); // Rotunjire în sus
        const totalFaraTVAItem = accesoriu.cantitate * accesoriu.pretUnitar;
        const totalCuTVAItem = totalFaraTVAItem * 1.19; // TVA 19%
        totalFaraTVA += totalFaraTVAItem;
        totalCuTVA += totalCuTVAItem;
        tableContent += `<tr><td>${accesoriu.name}</td><td>${toFixedNoZeros(accesoriu.cantitate, 2)}</td><td>${accesoriu.pretUnitar.toFixed(2)}</td><td>${totalFaraTVAItem.toFixed(2)}</td><td>${totalCuTVAItem.toFixed(2)}</td></tr>`;
    }

    // Adăugare totaluri la rândul "Membrane, benzi, capse"
    tableContent = tableContent.replace('<td></td><td></td><td></td><td></td>', `<td></td><td></td><td>${totalFaraTVA.toFixed(2)}</td><td>${totalCuTVA.toFixed(2)}</td>`);

    tableContent += '</tbody></table>';

    return tableContent;
}

function generateTransportHTML() {
    const denumire = document.querySelector('input[name="obiectiv"]').value;
    const distanta = parseFloat(document.querySelector('input[name="distanta"]').value) || 0;
    const pretUnitarAutoutilitara = parseFloat(rules['Autoutilitara']);
    const pretUnitarCamion = distanta > 220 ? parseFloat(rules['*Camion']) : parseFloat(rules['Camion']);
    
    let totalMaterialCantitate = 0;
    document.querySelectorAll('input[name="suprafata[]"]').forEach((input, index) => {
        const suprafata = parseFloat(input.value);
        const grosime = parseFloat(document.querySelectorAll('input[name="grosime[]"]')[index].value);
        const densitate = parseFloat(document.querySelectorAll('input[name="densitate[]"]')[index].value);

        // Verifică dacă toate valorile necesare sunt completate
        if (!isNaN(suprafata) && !isNaN(grosime) && !isNaN(densitate)) {
            totalMaterialCantitate += (suprafata * grosime * densitate) / 100;
        }
    });

    let totalFaraTVA = 0;
    let totalCuTVA = 0;

    let tableContent = '<h2>Transport</h2>';
    tableContent += '<table id="transport">';  // Adăugat ID-ul tabelului
    tableContent += '<thead><tr><th>Denumire</th><th>Cantitate / drumuri</th><th>Distanță / km</th><th>Preț unitar / km</th><th>Total fără TVA</th><th>Total cu TVA</th></tr></thead>';
    tableContent += '<tbody>';

    if (totalMaterialCantitate <= 1275) {
        const totalFaraTVAItem = distanta * pretUnitarAutoutilitara;
        const totalCuTVAItem = totalFaraTVAItem * 1.19; // TVA 19%
        totalFaraTVA += totalFaraTVAItem;
        totalCuTVA += totalCuTVAItem;
        tableContent += `<tr><td>${denumire}</td><td></td><td></td><td></td><td>${totalFaraTVA.toFixed(2)}</td><td>${totalCuTVA.toFixed(2)}</td></tr>`;
        tableContent += `<tr><td>Autoutilitara L4H3</td><td>1</td><td>${distanta}</td><td>${pretUnitarAutoutilitara.toFixed(2)}</td><td>${totalFaraTVAItem.toFixed(2)}</td><td>${totalCuTVAItem.toFixed(2)}</td></tr>`;
    } else if (totalMaterialCantitate <= 3000) {
        const totalFaraTVAItem = distanta * pretUnitarAutoutilitara * 2;
        const totalCuTVAItem = totalFaraTVAItem * 1.19; // TVA 19%
        totalFaraTVA += totalFaraTVAItem;
        totalCuTVA += totalCuTVAItem;
        tableContent += `<tr><td>${denumire}</td><td></td><td></td><td></td><td>${totalFaraTVA.toFixed(2)}</td><td>${totalCuTVA.toFixed(2)}</td></tr>`;
        tableContent += `<tr><td>Autoutilitara</td><td>2</td><td>${distanta}</td><td>${pretUnitarAutoutilitara.toFixed(2)}</td><td>${totalFaraTVAItem.toFixed(2)}</td><td>${totalCuTVA.toFixed(2)}</td></tr>`;
    } else {
        const totalFaraTVAItem1 = distanta * pretUnitarAutoutilitara;
        const totalCuTVAItem1 = totalFaraTVAItem1 * 1.19; // TVA 19%
        const totalFaraTVAItem2 = distanta * pretUnitarCamion;
        const totalCuTVAItem2 = totalFaraTVAItem2 * 1.19; // TVA 19%
        totalFaraTVA += totalFaraTVAItem1 + totalFaraTVAItem2;
        totalCuTVA += totalCuTVAItem1 + totalCuTVAItem2;
        tableContent += `<tr><td>${denumire}</td><td></td><td></td><td></td><td>${totalFaraTVA.toFixed(2)}</td><td>${totalCuTVA.toFixed(2)}</td></tr>`;
        tableContent += `<tr><td>Autoutilitara</td><td>1</td><td>${distanta}</td><td>${pretUnitarAutoutilitara.toFixed(2)}</td><td>${totalFaraTVAItem1.toFixed(2)}</td><td>${totalCuTVAItem1.toFixed(2)}</td></tr>`;
        tableContent += `<tr><td>Camion</td><td>1</td><td>${distanta}</td><td>${pretUnitarCamion.toFixed(2)}</td><td>${totalFaraTVAItem2.toFixed(2)}</td><td>${totalCuTVAItem2.toFixed(2)}</td></tr>`;
    }

    tableContent += '</tbody></table>';

    return tableContent;
}

function generateManoperaHTML(isIsogreen) {
    const rows = document.querySelectorAll('#work-form tbody tr');
    let manoperaData = {};
    let grosimiUnice = new Set();
    let totalSuprafataMP = 0;
    let totalSuprafataML = 0;
    let totalManopera = 0;

    // Preia prețul pentru Etanșare suplimentară
    const etansareSuplimentaraPret = parseFloat(document.querySelector('input[name="etansare_suplimentara"]').value) || 0;

    // Parcurgem fiecare rând pentru a agrega datele
    rows.forEach(row => {
        const tipLucrare = row.querySelector('select[name="tip_lucrare[]"]');
        const suprafata = parseFloat(row.querySelector('input[name="suprafata[]"]').value);
        const grosime = parseFloat(row.querySelector('input[name="grosime[]"]').value) || 0;

        if (tipLucrare && tipLucrare.value && !isNaN(suprafata)) {
            const key = `${tipLucrare.options[tipLucrare.selectedIndex].text}-${grosime}`;
            grosimiUnice.add(grosime);

            if (!manoperaData[key]) {
                manoperaData[key] = {
                    tipLucrare: tipLucrare.options[tipLucrare.selectedIndex].text,
                    suprafata: 0,
                    grosime: grosime,
                    pretUnitar: 0
                };
            }

            manoperaData[key].suprafata += suprafata;

            // Calculăm suprafața totală pentru mp și ml separat
            if (tipLucrare.options[tipLucrare.selectedIndex].text === 'Etansare fundatie') {
                totalSuprafataML += suprafata;
                manoperaData[key].pretUnitar = parseFloat(rules['Etansare fundatie']) || 0;
            } else {
                totalSuprafataMP += suprafata;
                // Selectăm prețul unitar pe baza grosimii
                if (grosime >= 1 && grosime <= 12) {
                    manoperaData[key].pretUnitar = parseFloat(rules['Manopera_1']) || 0;
                } else if (grosime >= 13 && grosime <= 17) {
                    manoperaData[key].pretUnitar = parseFloat(rules['Manopera_2']) || 0;
                } else if (grosime >= 18 && grosime <= 22) {
                    manoperaData[key].pretUnitar = parseFloat(rules['Manopera_3']) || 0;
                } else if (grosime >= 23 && grosime <= 27) {
                    manoperaData[key].pretUnitar = parseFloat(rules['Manopera_4']) || 0;
                } else if (grosime >= 28 && grosime <= 32) {
                    manoperaData[key].pretUnitar = parseFloat(rules['Manopera_5']) || 0;
                } else if (grosime >= 33  &&  grosime <= 37) {
                    manoperaData[key].pretUnitar = parseFloat(rules['Manopera_6']) || 0;
                } else if (grosime >= 38  &&  grosime <= 45) {
                    manoperaData[key].pretUnitar = parseFloat(rules['Manopera_7']) || 0;
                }
            }

            // Calcul total pentru fiecare lucrare
            const totalLucrare = tipLucrare.options[tipLucrare.selectedIndex].text === 'Etansare fundatie'
                ? manoperaData[key].pretUnitar * 1
                : manoperaData[key].pretUnitar * suprafata;

            totalManopera += totalLucrare;
        }
    });

    // Generăm tabelul de manoperă
    let tableContent = '<h2>Manoperă</h2>';
    tableContent += '<table id="manopera">';  // ID-ul tabelului
    
    // Verifică dacă trebuie să adăugăm coloanele pentru TVA
    if (isIsogreen) {
        tableContent += '<thead><tr><th>Denumire</th><th>Suprafață / mp / ml</th><th>Grosime / cm</th><th>Preț Unitar</th><th>Total Fără TVA</th><th>Total Cu TVA</th></tr></thead>';
    } else {
        tableContent += '<thead><tr><th>Denumire</th><th>Suprafață / mp / ml</th><th>Grosime / cm</th><th>Preț Unitar</th><th>Total</th></tr></thead>';
    }
    tableContent += '<tbody>';
    
    // Adăugăm la totalul manoperei prețul pentru Etanșare suplimentară
totalManopera += etansareSuplimentaraPret;

    // Adaugă primul rând pentru "SERVICII INSTALARE"
    const grosimiUniceString = Array.from(grosimiUnice).filter(grosime => grosime > 0).sort((a, b) => a - b).join('; ');
    tableContent += `
        <tr>
            <td>SERVICII INSTALARE</td>
            <td>${totalSuprafataMP} mp${totalSuprafataML > 0 ? '; ' + totalSuprafataML + ' ml' : ''}</td>
            <td>${grosimiUniceString}</td>
            <td></td>
            ${isIsogreen ? `<td>${toFixedNoZeros(totalManopera, 2)}</td><td>${toFixedNoZeros(totalManopera * 1.19, 2)}</td>` : `<td>${toFixedNoZeros(totalManopera, 2)}</td>`}
        </tr>
    `;

    // Adăugăm datele agregate pentru tipurile de lucrare
    for (let key in manoperaData) {
        const data = manoperaData[key];
        const total = data.tipLucrare === 'Etansare fundatie'
            ? data.pretUnitar * 1
            : data.pretUnitar * data.suprafata;

        tableContent += `
            <tr>
                <td>${data.tipLucrare}</td>
                <td>${toFixedNoZeros(data.suprafata, 2)}</td>
                <td>${data.tipLucrare === 'Etansare fundatie' ? '' : toFixedNoZeros(data.grosime, 2)}</td>
                <td>${toFixedNoZeros(data.pretUnitar, 2)}</td>
                ${isIsogreen ? `<td>${toFixedNoZeros(total, 2)}</td><td>${toFixedNoZeros(total * 1.19, 2)}</td>` : `<td>${toFixedNoZeros(total, 2)}</td>`}
            </tr>
        `;
    }

    // Adăugăm rândul pentru "Etanșare suplimentară" la final, dacă are preț
    if (etansareSuplimentaraPret > 0) {
        tableContent += `
            <tr>
                <td>Etanșare suplimentară</td>
                <td></td>
                <td></td>
                <td></td>
                ${isIsogreen ? `<td>${etansareSuplimentaraPret.toFixed(2)}</td><td>${(etansareSuplimentaraPret * 1.19).toFixed(2)}</td>` : `<td>${etansareSuplimentaraPret.toFixed(2)}</td>`}
            </tr>
        `;
        totalManopera += etansareSuplimentaraPret;
    }

    tableContent += '</tbody></table>';

    return tableContent;
}

// Total pe metru patrat in functie de grosime 

function generateTotalsTableHTML() {
    const rows = document.querySelectorAll('#work-form tbody tr');
    const aggregatedTotals = {};

    console.log('--- Start Processing Rows ---');

    // Pas 1: Agregăm suprafețele și totalurile în funcție de grosime și material
    rows.forEach((row, index) => {
        const suprafata = parseFloat(row.querySelector('input[name="suprafata[]"]').value) || 0;
        const grosime = parseFloat(row.querySelector('input[name="grosime[]"]').value) || 0;
        const materialSelect = row.querySelector('select[name="material_termoizolant[]"]');
        const materialName = materialSelect ? materialSelect.options[materialSelect.selectedIndex].text : '';
        const tipLucrareSelect = row.querySelector('select[name="tip_lucrare[]"]');
        const tipLucrareName = tipLucrareSelect ? tipLucrareSelect.options[tipLucrareSelect.selectedIndex].text : '';

        const key = `${grosime}`;

        console.log(`Processing row ${index + 1}: Material = ${materialName}, Grosime = ${grosime}, Suprafață = ${suprafata}`);

        if (!aggregatedTotals[key]) {
            aggregatedTotals[key] = {
                denumire: tipLucrareName,
                suprafata: suprafata,
                grosime: grosime,
                totalMaterial: 0,
                totalAccesorii: 0, // Inițializăm totalul pentru accesorii
            };
            console.log(`Created new entry for ${key}`);
        } else {
            aggregatedTotals[key].denumire += `; ${tipLucrareName}`;
            aggregatedTotals[key].suprafata += suprafata;
            console.log(`Updated entry for ${key}: Suprafață = ${aggregatedTotals[key].suprafata}`);
        }
    });

    console.log('--- End Processing Rows ---');
    console.log('--- Start Processing Material Table ---');

    const materialTable = document.querySelector('#material-termoizolant tbody');
    if (materialTable) {
        const materialRows = materialTable.querySelectorAll('tr');
        materialRows.forEach((materialRow, index) => {
            if (index === 0) return; // Ignorăm rândul de titlu

            const tipLucrareCell = materialRow.cells[0].innerText.trim();
            const grosimeCell = parseFloat(materialRow.cells[2].innerText) || 0;
            const totalMaterialFaraTVA = parseFloat(materialRow.cells[6].innerText) || 0;

            const key = `${grosimeCell}`;
            console.log(`Processing material row ${index + 1}: Tip Lucrare = ${tipLucrareCell}, Grosime = ${grosimeCell}, Total Material Fără TVA = ${totalMaterialFaraTVA}`);

            if (aggregatedTotals[key]) {
                aggregatedTotals[key].totalMaterial += totalMaterialFaraTVA;
                console.log(`Updated totalMaterial for ${key}: Total Material Fără TVA = ${aggregatedTotals[key].totalMaterial}`);
            } else {
                console.log(`No matching key found for ${key}`);
            }
        });
    }

    console.log('--- End Processing Material Table ---');
    console.log('--- Start Calculating Accessories Totals ---');

   const accesoriiTable = document.querySelector('#accesorii tbody');
if (accesoriiTable) {
    console.log('--- Start Debugging Accessories Calculation ---');

    let totalAccesoriiFaraTVA = 0;
    let totalEtansareFundatie = 0;

    accesoriiTable.querySelectorAll('tr').forEach((row, index) => {
        const tipAccesoriu = row.cells[0].innerText.trim();
        const totalFaraTVA = parseFloat(row.cells[3].innerText) || 0;

        console.log(`Processing accesorii row ${index + 1}: Tip Accesoriu = ${tipAccesoriu}, Total Fără TVA = ${totalFaraTVA}`);

        if (tipAccesoriu === 'Membrane, benzi, capse') {
            totalAccesoriiFaraTVA = totalFaraTVA;
            console.log(`Selected totalAccesoriiFaraTVA from Membrane, benzi, capse: ${totalAccesoriiFaraTVA}`);
        }

        if (tipAccesoriu === 'Accesorii pentru etanșare fundație') {
            totalEtansareFundatie = totalFaraTVA;
            console.log(`Selected totalEtansareFundatie: ${totalEtansareFundatie}`);
        }
    });

    const adjustedTotalAccesoriiFaraTVA = totalAccesoriiFaraTVA - totalEtansareFundatie;
    console.log(`Adjusted totalAccesoriiFaraTVA after subtracting totalEtansareFundatie: ${adjustedTotalAccesoriiFaraTVA}`);

    const totalSuprafata = parseFloat(materialTable.rows[1].cells[1].innerText) || 1; // Suprafețele totale din rândul 2, coloana 2
    console.log(`Total Suprafață: ${totalSuprafata}`);

    Object.values(aggregatedTotals).forEach((total, index) => {
        total.totalAccesorii = (adjustedTotalAccesoriiFaraTVA / totalSuprafata) * total.suprafata;
        console.log(`Calculated accessories for entry ${index + 1} with grosime ${total.grosime}: Total Accesorii = ${total.totalAccesorii}`);
    });

    console.log('--- End Debugging Accessories Calculation ---');
}


    console.log('--- Start Generating Table ---');

    let totalsTableContent = '<h2>Total / mp in functie de grosime</h2>';
    totalsTableContent += '<table id="totals-table">';
    totalsTableContent += '<thead><tr><th>Denumire</th><th>Suprafața / mp / m</th><th>Grosime</th><th>Total Material</th><th>Total Accesorii</th><th>Total Transport</th><th>Total Manoperă</th><th>Total</th><th>Mp Lei</th><th>Mp Euro</th><th>Mp Euro cu TVA</th></tr></thead>';

    totalsTableContent += '<tbody>';

    Object.values(aggregatedTotals).forEach((total, index) => {
        console.log(`Generating row ${index + 1}: Grosime = ${total.grosime}, Total Material = ${total.totalMaterial}, Total Accesorii = ${total.totalAccesorii}`);

        totalsTableContent += `<tr>
            <td>${total.denumire}</td>
            <td>${total.suprafata.toFixed(2)}</td>
            <td>${total.grosime.toFixed(2)}</td>
            <td>${total.totalMaterial.toFixed(2)}</td>
            <td>${total.totalAccesorii.toFixed(2)}</td>
        </tr>`;
    });

    totalsTableContent += '</tbody></table>';

    console.log('--- End Generating Table ---');

    document.getElementById('result').innerHTML += totalsTableContent;
}


function addRow() {
    const table = document.querySelector('#work-form tbody');
    const newRow = document.createElement('tr');

    newRow.innerHTML = `
        <td>
            <select name="tip_lucrare[]" class="input-field" required onchange="updateDensitate(this)">
                <option value="">Alege Tipul</option>
                ${workTypes.map(type => `<option value="${type.id}" data-fibre="${type.fiber_density}" data-flock="${type.flock_density}" data-wood="${type.wood_density}">${type.name}</option>`).join('')}
            </select>
        </td>
        <td>
            <select name="material_termoizolant[]" class="input-field" onchange="updateDensitate(this)">
                <option value="">Alege Materialul</option>
                ${materialsTermoizolant.map(material => `<option value="${material.id}" data-pret="${material.pret_unitar_iesire}">${material.name}</option>`).join('')}
            </select>
        </td>
        <td>
            <select name="membrana[]" class="input-field" onchange="updateDimensiune(this)">
                <option value="">Alege Membrana</option>
                ${membrane.map(membran => `<option value="${membran.id}" data-dimensiune="${membran.dimensiune}" data-pret="${membran.pret_unitar_iesire}">${membran.name}</option>`).join('')}
            </select>
        </td>
        <td>
            <select name="banda_etansare[]" class="input-field">
                <option value="">Alege Banda</option>
                ${bandaEtansare.map(banda => `<option value="${banda.id}" data-dimensiune="${banda.dimensiune}" data-pret="${banda.pret_unitar_iesire}">${banda.name}</option>`).join('')}
            </select>
        </td>
        <td>
            <select name="petece[]" class="input-field">
                <option value="">Alege Petece</option>
                ${petece.map(petec => `<option value="${petec.id}" data-dimensiune="${petec.dimensiune}" data-pret="${petec.pret_unitar_iesire}">${petec.name}</option>`).join('')}
            </select>
        </td>
        <td>
            <select name="accesorii[]" class="input-field" onchange="updateRegulaAccesoriu(this)">
                <option value="">Alege Accesoriu</option>
                ${accesorii
                    .filter(accesoriu => accesoriu.name.trim() !== 'CAPSE 80/10') // Excludem "CAPSE 80/10"
                    .map(accesoriu => `<option value="${accesoriu.id}" data-pret="${accesoriu.pret_unitar_iesire}">${accesoriu.name}</option>`)
                    .join('')}
            </select>
        </td>
        <td>
            <input type="number" name="suprafata[]" class="input-field" placeholder="mp/ml" required>
        </td>
        <td>
            <input type="number" name="grosime[]" class="input-field" placeholder="cm" onchange="updateDensitate(this)">
        </td>
        <td>
            <input type="number" name="densitate[]" class="input-field" placeholder="kg/mc" readonly>
        </td>
        <td>
            <input type="number" name="dimensiune_membrana[]" class="input-field" placeholder="mm" readonly>
        </td>
        <td><button type="button" onclick="deleteRow(this)">Șterge</button></td>
    `;

    table.appendChild(newRow);

    // Reapelăm funcția pentru a actualiza dropdown-urile
    updateDropdownVisibility();
}


function deleteRow(button) {
    const row = button.closest('tr');
    row.remove();
}

// Apelam functia pentru a initializa vizibilitatea dropdown-urilor la încărcarea paginii
document.addEventListener('DOMContentLoaded', updateDropdownVisibility);

// Funcția care întoarce calea fișierului CSS în funcție de material
function getCSSForMaterial(material) {
    switch (material) {
        case '46':
            return 'css/isofiber_deviz.css'; // Fișier CSS pentru Isofiber
        case '49':
            return 'css/isofulg_deviz.css'; // Fișier CSS pentru Isofulg
        case '60':
            return 'css/naturheld_deviz.css'; // Fișier CSS pentru Naturheld
        default:
            return 'css/default_deviz.css'; // Fișier CSS implicit
    }
}

// Funcția care întoarce calea fișierului logo în funcție de material
function getLogoForMaterial(material) {
    switch (material) {
        case '46':
            return 'img/isofiber_sac.png'; // Logo pentru Isofiber
        case '49':
            return 'img/isofulg_sac.png'; // Logo pentru Isofulg
        case '60':
            return 'img/logo3.png'; // Logo pentru Naturheld
        default:
            return 'logo-default.png'; // Logo implicit
    }
}


// Functie generare deviz html

function generateDeviz() {
    // Preluăm valorile din formularul interfeței
    const numeDestinatar = document.querySelector('input[name="nume"]').value || 'N/A';
    const numarTelefon = document.querySelector('input[name="telefon"]').value || 'N/A';
    const emailDestinatar = document.querySelector('input[name="email"]').value || 'N/A';
    const adresaDestinatar = document.querySelector('input[name="obiectiv"]').value || 'N/A';
    const numarUnic = document.querySelector('input[name="numar_unic"]').value || 'N/A';
    const dataCurenta = document.querySelector('input[name="data"]').value || 'N/A';

    // Detectăm selecția utilizatorului pentru material
    const materialSelect = document.querySelector('select[name="material_termoizolant[]"]');
    const selectedMaterialText = materialSelect ? materialSelect.options[materialSelect.selectedIndex].text : 'N/A'; // Preluăm textul materialului selectat
    console.log(`Material selectat: ${selectedMaterialText}`); // Debug: Verificăm ce material a fost selectat

    // Adăugăm partea pentru titlu dinamic
    let materialSuffix = ''; // Inițializăm sufixul
    if (selectedMaterialText.includes('ISOFIBER')) {
        materialSuffix = 'FIBRE DE CELULOZĂ';
    } else if (selectedMaterialText.includes('ISOFULG')) {
        materialSuffix = 'FULGI DE VATĂ BAZALTICĂ';
    } else if (selectedMaterialText.includes('NATURHELD')) {
        materialSuffix = 'FIBRE DE LEMN';
    }

    console.log(`Sufix determinat: ${materialSuffix}`); // Debug: Verificăm sufixul determinat

    // Construim titlul dinamic în funcție de material
    let titlu = `OFERTĂ LUCRĂRI TERMOIZOLAȚII CU ${materialSuffix}`;

    // Colectăm conținutul din `#result`, care conține tabelele generate
    const resultContent = document.getElementById('result').innerHTML;

    // Creăm o nouă fereastră
    const devizWindow = window.open('', 'Deviz', 'width=800,height=600');

    // Încarcăm fișierul CSS specific în funcție de materialul selectat
    const cssFile = getCSSForMaterial(materialSelect.value); // Preluăm fișierul CSS pentru material
    console.log(`Fișierul CSS selectat: ${cssFile}`); // Debug: Verificăm ce fișier CSS s-a selectat

    // Încarcăm logo-ul specific în funcție de materialul selectat
    const logoFile = getLogoForMaterial(materialSelect.value);
    console.log(`Logo selectat: ${logoFile}`);
 

    // Conținutul HTML de bază al devizului
    devizWindow.document.write(`
    
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Deviz Lucrare</title>
    
        <link rel="stylesheet" type="text/css" href="${cssFile}"> <!-- Încarc fișierul CSS -->

</head>
<body>
    <div class="header">
        <img src="img/logo.png" alt="Logo Isogreen">
        <div class="placeholder"></div>
       
         <img src="${logoFile}" alt="Logo Dreapta" class="right-logo"> <!-- Logo dinamic -->
       
    </div>

    <!-- Wrapper pentru tabelul cu date generale pentru a adăuga linia verde dedesubt -->
    <div class="info-table-wrapper">
        <table class="info-table">
            <tr>
                <th class="catre">Către:</th>
                <th class="adresa">Adresă:</th>
                <th class="contact">Contact:</th>
            </tr>
            <tr>
                <td class="catre" rowspan="2">${numeDestinatar}</td>
                <td class="adresa" rowspan="2">${adresaDestinatar}</td>
                <td class="contact">${numarTelefon}</td>
            </tr>
            <tr>
                <td class="contact">${emailDestinatar}</td>
            </tr>
        </table>
    </div>

    <table class="oferta-table">
        <tr>
            <td>${titlu}</td>
        </tr>
        <tr>
            <td>Nr. ${numarUnic} / Data: ${dataCurenta}</td>
        </tr>
    </table>

    ${resultContent} <!-- Inserăm tabelele generate -->
    
    
 <!-- Footer pentru logo -->
    <footer>
        <img src="img/subsol.png" alt="Logo Isogreen">
    </footer>

</body>
</html>
    `);
    
    // Închidem documentul pentru a finaliza construcția DOM-ului
    devizWindow.document.close();


// Cod pentru a adăuga numere și a transforma textul în litere mari, cu excluderea anumitor titluri
const titles = devizWindow.document.querySelectorAll('h2');
titles.forEach((title, index) => {
    const textContent = title.textContent.toLowerCase();

    // Verificăm dacă titlul conține "resurse umane" sau "timp de execuție"
    if (!textContent.includes("resurse umane") && !textContent.includes("timp de execuție")) {
        title.innerHTML = `${index + 1}. ${title.innerHTML.toUpperCase()}`;
    } else {
        title.innerHTML = title.innerHTML.toUpperCase(); // Doar transformă în litere mari fără numerotare
    }
});

// Ascunde linia <hr> doar pentru titlurile relevante
const hrElements = devizWindow.document.querySelectorAll('hr');
hrElements.forEach((hr) => {
    const nextElement = hr.nextElementSibling;
    if (nextElement && nextElement.tagName.toLowerCase() === 'h2' && 
        (nextElement.textContent.trim().toUpperCase() === "RESURSE UMANE" || 
         nextElement.textContent.trim().toUpperCase() === "TIMP DE EXECUȚIE")) {
        hr.style.display = 'none'; // Ascunde linia verde
    }
});

     // Ascundem secțiunea "Total / mp in functie de grosime"
    let totalsTitle = null;
    titles.forEach(title => {
        if (title.textContent.trim().toUpperCase().includes("TOTAL / MP IN FUNCTIE DE GROSIME")) {
            totalsTitle = title;
        }
    });

    if (totalsTitle) {
        console.log('Totals table title found:', totalsTitle.textContent.trim());
        const totalsTable = totalsTitle.nextElementSibling;
        if (totalsTable && totalsTable.tagName === 'TABLE') {
            totalsTitle.remove(); // Elimină titlul
            totalsTable.remove(); // Elimină tabelul
        } else {
            console.log("Totals table found but does not follow the expected structure.");
        }
    } else {
        console.log("Totals table title not found or does not match.");
    }

    // Apelăm direct funcția pentru a adăuga clasa `with-green-line`
    addGreenLineClasses(devizWindow);

    // Permitem utilizatorului să salveze sau să personalizeze devizul
    devizWindow.focus();
}

// Funcția care adaugă clasele `with-green-line`
function addGreenLineClasses(devizWindow) {
    const materialTable = devizWindow.document.getElementById('material-termoizolant');
    const accesoriiTable = devizWindow.document.getElementById('accesorii');
    const transportTable = devizWindow.document.getElementById('transport');
    const manoperaTable = devizWindow.document.getElementById('manopera');

    if (materialTable && materialTable.rows.length > 1) {
        materialTable.classList.add('with-green-line');
    }
    if (accesoriiTable && accesoriiTable.rows.length > 1) {
        accesoriiTable.classList.add('with-green-line');
    }
    if (transportTable && transportTable.rows.length > 1) {
        transportTable.classList.add('with-green-line');
    }
    if (manoperaTable && manoperaTable.rows.length > 1) {
        manoperaTable.classList.add('with-green-line');
    }
    
}

</script>
</head>

<body>
<div class="container">
<h2>Date Generale</h2>
<!-- Formular pentru salvare (datele generale și devizul) -->
<form id="save-form" action="save_offer.php" method="POST">
<table>
    <thead>
        <tr>
            <th>Nume</th>
            <th>Număr de telefon</th>
            <th>Email</th>
            <th>Obiectiv</th>
            <th>Distanță</th>
            <th>Număr unic</th>
            <th>Data</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <!-- // alex 11111111 -->
            <td><input type="text" name="nume" class="input-field" value="<?php echo $date_oferta['nume_client']; ?>"></td>
            <td><input type="tel" name="telefon" class="input-field" value="<?php echo $date_oferta['numar_telefon']; ?>"></td>
            <td><input type="email" name="email" class="input-field" value="<?php echo $date_oferta['email']; ?>"></td>
            <td><input type="text" name="obiectiv" class="input-field" value="<?php echo $date_oferta['obiectiv']; ?>"></td>
            <td><input type="number" name="distanta" class="input-field" value="<?php echo $date_oferta['distanta']; ?>"></td>
            <td><input type="text" name="numar_unic" class="input-field" value="<?php echo $date_oferta['numar_unic']; ?>"></td>
            <td><input type="text" name="data" class="input-field" value="<?php echo $date_oferta['data_oferta']; ?>" readonly></td>
        </tr>
    </tbody>
</table>

<h2>Optiuni</h2>
<table>
    <thead>
        <tr>
            <th>Alege firma pentru deviz si varianta de etansare</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td style="display: flex; justify-content: space-between; align-items: center;">
                <label style="border-right: 1px solid #ccc; padding-right: 10px; margin-right: 10px;">
                    <input type="radio" name="tip_isogreen" value="Isogreen">
                    Isogreen
                </label>
                <label style="border-right: 1px solid #ccc; padding-right: 10px; margin-right: 10px;">
                    <input type="radio" name="tip_isogreen" value="Isogreen - Ecotherm">
                    Isogreen - Ecotherm
                </label>
                <label style="border-right: 1px solid #ccc; padding-right: 10px; margin-right: 10px;">
                    <input type="radio" name="tip_etansare" value="Etanșare nZeb">
                    Etanșare nZeb
                </label>
                <label>
                    <input type="radio" name="tip_etansare" value="Etanșare Casa Pasivă">
                    Etanșare Casa Pasivă
                </label>
            </td>
        </tr>
    </tbody>
</table>

<!-- Tabel nou pentru opțiuni suplimentare -->
<table>
    <thead>
        <tr>
            <th>Etanșare suplimentară</th>
            <th>Resurse umane</th>
            <th>Timp de execuție</th>
            <th>Discount general</th>
            <th>Discount manoperă</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><input type="number" name="etansare_suplimentara" class="input-field" placeholder="Preț etanșare suplimentară"></td>

            <td><input type="text" name="resurse_umane" class="input-field"></td>
            <td><input type="text" name="timp_executie" class="input-field"></td>
            <td><input type="text" name="discount_general" class="input-field"></td>
            <td><input type="text" name="discount_manopera" class="input-field"></td>
        </tr>
    </tbody>
</table>
    <button type="submit">Salveaza date</button>
</form>


<h1>Adăugare Lucrare</h1>
<form id="work-form">
    <table>
        <thead>
            <tr>
                <th>Tip Lucrare</th>
                <th>Material Termoizolant</th>
                <th>Membrană</th>
                <th>Banda Etansare</th>
                <th>Petece</th>
                <th>Accesorii</th>
                <th>Suprafață (mp/ml)</th>
                <th>Grosime (cm)</th>
                <th>Densitate (kg/mc)</th>
                <th>Dimensiune Membrană</th>
                <th>Acțiune</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>
                    <select name="tip_lucrare[]" class="input-field" required onchange="updateDensitate(this)">
                        <option value="">Alege Tipul</option>
                        <?php foreach ($work_types as $type): ?>
                            <option value="<?php echo $type['id']; ?>" data-fibre="<?php echo $type['fiber_density']; ?>" data-flock="<?php echo $type['flock_density']; ?>" data-wood="<?php echo $type['wood_density']; ?>"><?php echo htmlspecialchars($type['name']); ?></option>

                        <?php endforeach; ?>
                    </select>
                </td>
                <td>
                    <select name="material_termoizolant[]" class="input-field" onchange="updateDensitate(this)">
                        <option value="">Alege Materialul</option>
                        <?php foreach ($materials_termoizolant as $material): ?>
                            <option value="<?php echo $material['id']; ?>" data-pret="<?php echo $material['pret_unitar_iesire']; ?>"><?php echo htmlspecialchars($material['name']); ?></option>
                        <?php endforeach; ?>
                    </select>
                </td>
                <td>
                    <select name="membrana[]" class="input-field" onchange="updateDimensiune(this)">
                        <option value="">Alege Membrana</option>
                        <?php foreach ($membrane as $membran): ?>
                            <option value="<?php echo $membran['id']; ?>" data-dimensiune="<?php echo $membran['dimensiune']; ?>" data-pret="<?php echo $membran['pret_unitar_iesire']; ?>"><?php echo htmlspecialchars($membran['name']); ?></option>
                        <?php endforeach; ?>
                    </select>
                </td>
                <td>
                    <select name="banda_etansare[]" class="input-field">
                        <option value="">Alege Banda</option>
                        <?php foreach ($banda_etansare as $banda): ?>
                            <option value="<?php echo $banda['id']; ?>" data-dimensiune="<?php echo $banda['dimensiune']; ?>" data-pret="<?php echo $banda['pret_unitar_iesire']; ?>"><?php echo htmlspecialchars($banda['name']); ?></option>
                        <?php endforeach; ?>
                    </select>
                </td>
                <td>
                    <select name="petece[]" class="input-field">
                        <option value="">Alege Petece</option>
                        <?php foreach ($petece as $petec): ?>
                            <option value="<?php echo $petec['id']; ?>" data-dimensiune="<?php echo $petec['dimensiune']; ?>" data-pret="<?php echo $petec['pret_unitar_iesire']; ?>"><?php echo htmlspecialchars($petec['name']); ?></option>
                        <?php endforeach; ?>
                    </select>
                </td>
                <td>
                    <select name="accesorii[]" class="input-field" onchange="updateRegulaAccesoriu(this)">
    <option value="">Alege Accesoriu</option>
    <?php foreach ($accesorii as $accesoriu): ?>
        <?php if (trim($accesoriu['name']) !== 'CAPSE 80/10'): ?>  <!-- Excludem CAPSE 80/10 -->
            <option value="<?php echo $accesoriu['id']; ?>" data-pret="<?php echo $accesoriu['pret_unitar_iesire']; ?>">
                <?php echo htmlspecialchars($accesoriu['name']); ?>
            </option>
        <?php endif; ?>
    <?php endforeach; ?>
</select>

                </td>
                <td>
                    <input type="number" name="suprafata[]" class="input-field" placeholder="mp/ml" required>
                </td>
                <td>
                    <input type="number" name="grosime[]" class="input-field" placeholder="cm">
                </td>
                <td>
                    <input type="number" name="densitate[]" class="input-field" placeholder="kg/mc" readonly>
                </td>
                <td>
                    <input type="number" name="dimensiune_membrana[]" class="input-field" placeholder="mm" readonly>
                </td>
                <td><button type="button" onclick="deleteRow(this)">Șterge</button></td>
            </tr>
        </tbody>
    </table>
    <button type="button" onclick="addRow()">Adaugă rând</button>
    <button type="button" onclick="calculateMaterial()">Calculează</button>
    <button type="button" onclick="generateDeviz()">Generează Deviz</button>

</form>

<div id="accesoriuRegula"></div>
<div id="result"></div>

</div>

<!-- Script pentru a colecta și trimite datele -->
<script>
document.querySelector('button[type="submit"]').addEventListener('click', function(event) {
    event.preventDefault();  // Oprim comportamentul standard al butonului de submit

    // Colectăm datele generale din formular
    let nume = document.querySelector('input[name="nume"]').value;
    let telefon = document.querySelector('input[name="telefon"]').value;
    let email = document.querySelector('input[name="email"]').value;
    let obiectiv = document.querySelector('input[name="obiectiv"]').value;
    let distanta = document.querySelector('input[name="distanta"]').value;
    let numar_unic = document.querySelector('input[name="numar_unic"]').value;
    let data = document.querySelector('input[name="data"]').value;

    // Colectăm datele suplimentare din formular
    let tip_isogreen = document.querySelector('input[name="tip_isogreen"]:checked') ? document.querySelector('input[name="tip_isogreen"]:checked').value : '';
    let tip_etansare = document.querySelector('input[name="tip_etansare"]:checked') ? document.querySelector('input[name="tip_etansare"]:checked').value : '';
    let etansare_suplimentara = document.querySelector('input[name="etansare_suplimentara"]').value;
    let resurse_umane = document.querySelector('input[name="resurse_umane"]').value;
    let timp_executie = document.querySelector('input[name="timp_executie"]').value;
    let discount_general = document.querySelector('input[name="discount_general"]').value;
    let discount_manopera = document.querySelector('input[name="discount_manopera"]').value;

    // Pregătim datele JSON pentru variabile_intrare_oferta
    var variabile_intrare = {
        'tip_isogreen': tip_isogreen,
        'tip_etansare': tip_etansare,
        'etansare_suplimentara': etansare_suplimentara,
        'resurse_umane': resurse_umane,
        'timp_executie': timp_executie,
        'discount_general': discount_general,
        'discount_manopera': discount_manopera
    };

    // Colectăm toate rândurile din deviz și le punem în format JSON
    var detalii_lucrare = [];
    var rows = document.querySelectorAll('#work-form tbody tr');
    rows.forEach(function(row) {
        var tip_lucrare = row.querySelector('select[name="tip_lucrare[]"]').value;
        var material_termoizolant = row.querySelector('select[name="material_termoizolant[]"]').value;
        var membrana = row.querySelector('select[name="membrana[]"]').value;
        var banda_etansare = row.querySelector('select[name="banda_etansare[]"]').value;
        var petece = row.querySelector('select[name="petece[]"]').value;
        var accesorii = row.querySelector('select[name="accesorii[]"]').value;
        var suprafata = row.querySelector('input[name="suprafata[]"]').value;
        var grosime = row.querySelector('input[name="grosime[]"]').value;
        var densitate = row.querySelector('input[name="densitate[]"]').value;
        var dimensiune_membrana = row.querySelector('input[name="dimensiune_membrana[]"]').value;

        detalii_lucrare.push({
            tip_lucrare: tip_lucrare,
            material_termoizolant: material_termoizolant,
            membrana: membrana,
            banda_etansare: banda_etansare,
            petece: petece,
            accesorii: accesorii,
            suprafata: suprafata,
            grosime: grosime,
            densitate: densitate,
            dimensiune_membrana: dimensiune_membrana
        });
    });

    // Pregătim datele pentru trimitere în format JSON
    var formData = new FormData();
    formData.append('id_oferta', date_oferta['id_oferta']);
    formData.append('nume', nume);
    formData.append('telefon', telefon);
    formData.append('email', email);
    formData.append('obiectiv', obiectiv);
    formData.append('distanta', distanta);
    formData.append('numar_unic', numar_unic);
    formData.append('data', data);
    formData.append('variabile_intrare', JSON.stringify(variabile_intrare)); // Variabile suplimentare în JSON
    

    formData.append('detalii_lucrare', JSON.stringify(detalii_lucrare)); // Detalii deviz în JSON
    formData.append('work_types', JSON.stringify(workTypes));
    formData.append('materials_termoizolant', JSON.stringify(materialsTermoizolant));
    formData.append('banda_etansare', JSON.stringify(bandaEtansare));
    formData.append('petece', JSON.stringify(petece));
    formData.append('accesorii', JSON.stringify(accesorii));
    formData.append('rules', JSON.stringify(rules));


    // Trimitem datele către server folosind Fetch API
    fetch('save_offer.php', {
        method: 'POST',
        body: formData
    })
    .then(response => response.json())  // Ne așteptăm să primim un răspuns JSON
    .then(data => {
        if (data.status === 'error'){
            alert('A aparut o eroare la salvarea datelor');
        } else {
            alert('Oferta a fost salvată cu succes!');
        }
    })
    .catch((error) => {
        console.error('Eroare:', error);
    });
});

</script>


</body>
</html>
