<?php
include 'config.php'; // Conectarea la baza de date

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Colectăm datele trimise de formular
    $nume = $_POST['nume'];
    $telefon = $_POST['telefon'];
    $email = $_POST['email'];
    $obiectiv = $_POST['obiectiv'];
    $distanta = $_POST['distanta'];
    $numar_unic = $_POST['numar_unic'];
    $data = date('Y-m-d', strtotime($_POST['data']));
    $variabile_intrare = $_POST['variabile_intrare'];
    
    $id_oferta = null;

    if (isset($_POST['id_oferta']) && is_numeric($_POST['id_oferta'])){
        // Updatam datele
        $id_oferta = $_POST['id_oferta'];
        $q = prepared_query(
            "UPDATE oferta 
                SET nume_client = ?, 
                numar_telefon = ?, 
                email = ?, 
                obiectiv = ?, 
                data_oferta = ?, 
                numar_unic = ?, 
                distanta = ?, 
                variabile_intrare = ?
            WHERE id_oferta = ?",
                [$nume, $telefon, $email, $obiectiv, $data, $numar_unic, $distanta, $variabile_intrare, $id_oferta]
            );
    } else {
        // Inserăm datele în tabelul oferta
        $q = prepared_query(
            "INSERT INTO oferta 
                (nume_client, numar_telefon, email, obiectiv, data_oferta, numar_unic, distanta, variabile_intrare) 
            VALUES 
                (?, ?, ?, ?, ?, ?, ?, ?)",
                [$nume, $telefon, $email, $obiectiv, $data, $numar_unic, $distanta, $variabile_intrare]
            );
        $id_oferta = $q[0][2];
    }

    // da SQL eroare daca nu e JSON
    $detalii_lucrare = $_POST['detalii_lucrare'];
    $work_types = $_POST['work_types'];
    $materials_termoizolant = $_POST['materials_termoizolant'];
    $banda_etansare = $_POST['banda_etansare'];
    $petece = $_POST['petece'];
    $accesorii = $_POST['accesorii'];
    $rules = $_POST['rules'];

    // Inserăm detaliile lucrării în tabelul detalii_lucrare
    $q = prepared_query("
    INSERT INTO detalii_lucrare 
        (id_oferta, detalii_lucrare, work_types, materials_termoizolant, banda_etansare, petece, accesorii, rules) 
    VALUES 
        (?, ?, ?, ?, ?, ?, ?, ?) 
    ON DUPLICATE KEY UPDATE
        detalii_lucrare = ?, 
        work_types = ?, 
        materials_termoizolant = ?, 
        banda_etansare = ?, 
        petece = ?, 
        accesorii = ?, 
        rules = ?", 
        [$id_oferta, $detalii_lucrare, $work_types, $materials_termoizolant, $banda_etansare, $petece, $accesorii, $rules, 
                    $detalii_lucrare, $work_types, $materials_termoizolant, $banda_etansare, $petece, $accesorii, $rules]);

    API_output(['code' => 200, 'message' => 'Oferta a fost salvată!']);
}
?>
